Subject: bug#53436: 29.0.50; org-toggle-pretty-entities- does not work when toggled off

From: Arthur Miller <[email-masked]>
Date: Sat, 22 Jan 2022 22:04:52 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Arthur Miller <[email-masked]> writes:
>
>> 1. Create an empty org file
>> 2. Add some text and mark as italic, bold etc. For example:
>>
>>   test
>>  /test/
>>  *test*
>> /*test*/
>> */test/*
>>
>> 3. Toggle "pretty entities" on: M-x org-toggle-pretty-entities
>>
>> Text should be now displayed in italics and bold.
>
> I tried to reproduce this, but I see absolutely no differences in the
> buffer before or after doing M-x org-toggle-pretty-entities.

Yes, and it should be. My brain was elswhere when I wrote that bug repport. It
is not org-toggle-pretty-entities that control emphasis, it is a variable:

'org-fontify-emphaiszed-test'.

When set to nil it text should not be rendered in italiccs, bold etc, but it
still is. It is still a bug. Manual says that setting this variable to nil will
turn fontification for marked up text:

https://orgmode.org/manual/Emphasis-and-Monospace.html

I appologize for the confusion, I don't know what was with me, why I looked at
org-togge-pretty-entities at all.

> from "emacs -Q"?

Yes of course, I did it in emacs -Q both in repport and now.

>> I see in the implementation of org-toggle-pretty-entities that it calls
>> decompose-region, which does not seem to do anything when called from
>> M-: either. I don't know if it's bug in org-mode or Emacs itself.
>
> That's...  an odd thing to do.  I mean, using `decompose-region'.  I'm
> not even sure what it's supposed to do.  Eli?

Forgett about decompose regions, I was looking at wrong spot as described above.